(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common/http'), require('@angular/material/tabs'), require('@angular/material/grid-list'), require('@angular/material/card'), require('@angular/material/button'), require('@angular/common'), require('@angular/material/input'), require('@angular/material/form-field'), require('@angular/router'), require('@angular/platform-browser'), require('@angular/material/datepicker'), require('@angular/material/select'), require('@angular/material/core'), require('@angular/forms')) :
    typeof define === 'function' && define.amd ? define('reports-hyper74', ['exports', '@angular/core', '@angular/common/http', '@angular/material/tabs', '@angular/material/grid-list', '@angular/material/card', '@angular/material/button', '@angular/common', '@angular/material/input', '@angular/material/form-field', '@angular/router', '@angular/platform-browser', '@angular/material/datepicker', '@angular/material/select', '@angular/material/core', '@angular/forms'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global["reports-hyper74"] = {}, global.ng.core, global.ng.common.http, global.ng.material.tabs, global.ng.material.gridList, global.ng.material.card, global.ng.material.button, global.ng.common, global.ng.material.input, global.ng.material.formField, global.ng.router, global.ng.platformBrowser, global.ng.material.datepicker, global.ng.material.select, global.ng.material.core, global.ng.forms));
})(this, (function (exports, i0, i1, i2, i3, i4, i5, i2$1, i11, i5$1, router, platformBrowser, i6, i7, i8, i10) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () { return e[k]; }
                    });
                }
            });
        }
        n["default"] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);
    var i1__namespace = /*#__PURE__*/_interopNamespace(i1);
    var i2__namespace = /*#__PURE__*/_interopNamespace(i2);
    var i3__namespace = /*#__PURE__*/_interopNamespace(i3);
    var i4__namespace = /*#__PURE__*/_interopNamespace(i4);
    var i5__namespace = /*#__PURE__*/_interopNamespace(i5);
    var i2__namespace$1 = /*#__PURE__*/_interopNamespace(i2$1);
    var i11__namespace = /*#__PURE__*/_interopNamespace(i11);
    var i5__namespace$1 = /*#__PURE__*/_interopNamespace(i5$1);
    var i6__namespace = /*#__PURE__*/_interopNamespace(i6);
    var i7__namespace = /*#__PURE__*/_interopNamespace(i7);
    var i8__namespace = /*#__PURE__*/_interopNamespace(i8);
    var i10__namespace = /*#__PURE__*/_interopNamespace(i10);

    var ReportsService = /** @class */ (function () {
        function ReportsService(httpClient) {
            this.httpClient = httpClient;
        }
        ReportsService.prototype.loadGroups = function (url) {
            return this.httpClient.get(url);
        };
        ReportsService.prototype.listReportsByGroupId = function (url, groupId) {
            return this.httpClient.get(url + "/" + groupId);
        };
        ReportsService.prototype.getReportWithFilters = function (url, reportId) {
            // return this.httpClient.get(`/rpt/report/${reportId}`);
            return this.httpClient.get(url + "/" + reportId);
        };
        return ReportsService;
    }());
    ReportsService.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: ReportsService, deps: [{ token: i1__namespace.HttpClient }], target: i0__namespace.ɵɵFactoryTarget.Injectable });
    ReportsService.ɵprov = i0__namespace.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: ReportsService, providedIn: 'root' });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: ReportsService, decorators: [{
                type: i0.Injectable,
                args: [{
                        providedIn: 'root'
                    }]
            }], ctorParameters: function () { return [{ type: i1__namespace.HttpClient }]; } });

    var breakpoint;
    function sharedGridLayout(resize, event) {
        var size;
        if (resize) {
            size = event.target.innerWidth;
            //console.log('event',size)
        }
        else {
            size = window.innerWidth;
        }
        switchMethod(size);
        return breakpoint;
    }
    function switchMethod(size) {
        switch (true) {
            case (size <= 768):
                breakpoint = 1;
                break;
            case (size >= 768 && size <= 992):
                breakpoint = 2;
                break;
            case (size >= 992):
                breakpoint = 3;
                break;
        }
    }

    var ReportsComponent = /** @class */ (function () {
        function ReportsComponent(reportService) {
            this.reportService = reportService;
            this.reportsGroups = [];
            this.reportsByGroupId = [];
            this.$subs = [];
            this.onViewClicked = new i0.EventEmitter();
            this.breakpoint = 2;
        }
        ReportsComponent.prototype.ngOnInit = function () {
            this.loadGroups();
        };
        ReportsComponent.prototype.loadGroups = function () {
            var _this = this;
            var sub1 = this.reportService.loadGroups(this.urlReportGroups).subscribe(function (res) {
                _this.reportsGroups = res;
                _this.$subs.push(sub1);
            });
        };
        ReportsComponent.prototype.listReportsByGroupId = function (groupId) {
            var _this = this;
            var sub2 = this.reportService.listReportsByGroupId(this.reportGroupByIdUrl, groupId).subscribe(function (res2) {
                _this.reportsByGroupId = res2;
            });
            this.$subs.push(sub2);
        };
        ;
        ReportsComponent.prototype.onTabChanged = function (event) {
            this.listReportsByGroupId(this.reportsGroups[event].id);
        };
        ReportsComponent.prototype.viewReportFilterDetails = function (report) {
            this.onViewClicked.emit(report);
        };
        ReportsComponent.prototype.onResize = function (event) {
            this.breakpoint = sharedGridLayout(true, event);
            console.log('breakPoint', this.breakpoint);
        };
        ReportsComponent.prototype.ngOnDestroy = function () {
            this.$subs.forEach(function (item) { return item.unsubscribe(); });
        };
        return ReportsComponent;
    }());
    ReportsComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: ReportsComponent, deps: [{ token: ReportsService }], target: i0__namespace.ɵɵFactoryTarget.Component });
    ReportsComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.16", type: ReportsComponent, selector: "lib-reports-groups", inputs: { urlReportGroups: "urlReportGroups", reportGroupByIdUrl: "reportGroupByIdUrl" }, outputs: { onViewClicked: "onViewClicked" }, ngImport: i0__namespace, template: "\n\n    <mat-tab-group *ngIf=\"reportsGroups\" (selectedIndexChange)=\"onTabChanged($event)\">\n      <mat-tab [id]=\"group.id\" *ngFor=\"let group of reportsGroups;let i=index\" label=\"{{group.name}}\">\n        <mat-grid-list class=\"mt-2\" [cols]=\"breakpoint\" (window:resize)=\"onResize($event)\" rowHeight=\"200px\">\n          <mat-grid-tile *ngFor=\"let report of reportsByGroupId\">\n            <mat-card class=\"example-card\">\n              <mat-card-title>{{report.name}}</mat-card-title>\n              <mat-card-content>\n                <p>{{report.descreption}}</p>\n              </mat-card-content>\n              <mat-card-actions>\n                <button mat-button class=\"viewButton\" (click)=\"viewReportFilterDetails(report)\">View</button>\n              </mat-card-actions>\n            </mat-card>\n          </mat-grid-tile>\n        </mat-grid-list>\n\n      </mat-tab>\n    </mat-tab-group>\n  ", isInline: true, styles: ["\n    .example-card {\n      max-width: 350px;\n      border-radius: 8px;\n      height: 100%;\n      overflow: auto;\n      width: 93%\n    }\n\n    .viewButton {\n      background: #FF6600\n    }\n  "], components: [{ type: i2__namespace.MatTabGroup, selector: "mat-tab-group", inputs: ["color", "disableRipple"], exportAs: ["matTabGroup"] }, { type: i2__namespace.MatTab, selector: "mat-tab", inputs: ["disabled", "label", "aria-label", "aria-labelledby"], exportAs: ["matTab"] }, { type: i3__namespace.MatGridList, selector: "mat-grid-list", inputs: ["cols", "gutterSize", "rowHeight"], exportAs: ["matGridList"] }, { type: i3__namespace.MatGridTile, selector: "mat-grid-tile", inputs: ["rowspan", "colspan"], exportAs: ["matGridTile"] }, { type: i4__namespace.MatCard, selector: "mat-card", exportAs: ["matCard"] }, { type: i5__namespace.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }], directives: [{ type: i2__namespace$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i2__namespace$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i4__namespace.MatCardTitle, selector: "mat-card-title, [mat-card-title], [matCardTitle]" }, { type: i4__namespace.MatCardContent, selector: "mat-card-content, [mat-card-content], [matCardContent]" }, { type: i4__namespace.MatCardActions, selector: "mat-card-actions", inputs: ["align"], exportAs: ["matCardActions"] }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: ReportsComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'lib-reports-groups',
                        template: "\n\n    <mat-tab-group *ngIf=\"reportsGroups\" (selectedIndexChange)=\"onTabChanged($event)\">\n      <mat-tab [id]=\"group.id\" *ngFor=\"let group of reportsGroups;let i=index\" label=\"{{group.name}}\">\n        <mat-grid-list class=\"mt-2\" [cols]=\"breakpoint\" (window:resize)=\"onResize($event)\" rowHeight=\"200px\">\n          <mat-grid-tile *ngFor=\"let report of reportsByGroupId\">\n            <mat-card class=\"example-card\">\n              <mat-card-title>{{report.name}}</mat-card-title>\n              <mat-card-content>\n                <p>{{report.descreption}}</p>\n              </mat-card-content>\n              <mat-card-actions>\n                <button mat-button class=\"viewButton\" (click)=\"viewReportFilterDetails(report)\">View</button>\n              </mat-card-actions>\n            </mat-card>\n          </mat-grid-tile>\n        </mat-grid-list>\n\n      </mat-tab>\n    </mat-tab-group>\n  ",
                        styles: ["\n    .example-card {\n      max-width: 350px;\n      border-radius: 8px;\n      height: 100%;\n      overflow: auto;\n      width: 93%\n    }\n\n    .viewButton {\n      background: #FF6600\n    }\n  "]
                    }]
            }], ctorParameters: function () { return [{ type: ReportsService }]; }, propDecorators: { urlReportGroups: [{
                    type: i0.Input
                }], reportGroupByIdUrl: [{
                    type: i0.Input
                }], onViewClicked: [{
                    type: i0.Output
                }] } });

    var ReportDetailsComponent = /** @class */ (function () {
        function ReportDetailsComponent(reportService, datepipe) {
            this.reportService = reportService;
            this.datepipe = datepipe;
            this.$subs = [];
            this.breakpoint = 2;
            this.onExecuteFired = new i0.EventEmitter();
        }
        ReportDetailsComponent.prototype.ngOnInit = function () {
            this.breakpoint = sharedGridLayout();
            this.loadReportFilters();
        };
        ReportDetailsComponent.prototype.onResize = function (event) {
            this.breakpoint = sharedGridLayout(true, event);
        };
        ReportDetailsComponent.prototype.loadReportFilters = function () {
            var _this = this;
            var sub1 = this.reportService.getReportWithFilters(this.loadReportDetailFilters, this.reportId).subscribe(function (res) {
                _this.reportDetails = res;
            });
            this.$subs.push(sub1);
        };
        ReportDetailsComponent.prototype.ngOnDestroy = function () {
            this.$subs.forEach(function (item) { return item.unsubscribe(); });
        };
        ReportDetailsComponent.prototype.validateAndConvertData = function () {
            var _a, _b;
            if (this.reportDetails && this.reportDetails.reportFilters) {
                for (var i = 0; i < ((_b = (_a = this.reportDetails) === null || _a === void 0 ? void 0 : _a.reportFilters) === null || _b === void 0 ? void 0 : _b.length); i++) {
                    this.reportDetails.reportFilters[i].value
                        = this.reportDetails.reportFilters[i].dataType.toLocaleLowerCase() === 'date'
                            ? this.datepipe.transform(this.reportDetails.reportFilters[i].value, 'yyyy-MM-dd')
                            : this.reportDetails.reportFilters[i].value;
                }
            }
            return true;
        };
        ReportDetailsComponent.prototype.execute = function () {
            var _a;
            if ((_a = this.executeForm) === null || _a === void 0 ? void 0 : _a.invalid) {
                this.executeForm.form.markAllAsTouched();
                return;
            }
            this.validateAndConvertData();
            sessionStorage.setItem('executeForm', JSON.stringify(this.reportDetails.reportFilters));
            sessionStorage.setItem('reportName', this.reportDetails.name);
        };
        return ReportDetailsComponent;
    }());
    ReportDetailsComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: ReportDetailsComponent, deps: [{ token: ReportsService }, { token: i2__namespace$1.DatePipe }], target: i0__namespace.ɵɵFactoryTarget.Component });
    ReportDetailsComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.16", type: ReportDetailsComponent, selector: "lib-report-details", inputs: { reportId: "reportId", loadReportDetailFilters: "loadReportDetailFilters" }, outputs: { onExecuteFired: "onExecuteFired" }, viewQueries: [{ propertyName: "executeForm", first: true, predicate: ["f"], descendants: true }], ngImport: i0__namespace, template: "<mat-card class=\"example-card\">\n  <mat-card-title>{{reportDetails?.name}}</mat-card-title>\n  <mat-card-subtitle>{{reportDetails?.descreption}}</mat-card-subtitle>\n  <mat-card-content *ngIf=\"reportDetails\">\n    <form name=\"form\"  #f=\"ngForm\" novalidate >\n      <mat-grid-list class=\"mt-2\" [cols]=\"breakpoint\" (window:resize)=\"onResize($event)\" rowHeight=\"100px\">\n        <mat-grid-tile *ngFor=\"let filter of reportDetails.reportFilters\">\n          <mat-form-field class=\"form-field\" appearance=\"outline\" *ngIf=\"filter.dataType.toLowerCase() == 'date' \">\n            <mat-label class=\"form-label\">{{filter.name}} </mat-label>\n            <input matInput [matDatepicker]=\"picker\" #date=\"ngModel\"\n                   [name]=\"filter.name\" [(ngModel)]=\"filter.value\" [required]=\"filter.required\">\n            <mat-datepicker-toggle matSuffix [for]=\"picker\"></mat-datepicker-toggle>\n            <mat-datepicker #picker></mat-datepicker>\n\n          </mat-form-field>\n\n          <mat-form-field class=\"form-field\" appearance=\"outline\" *ngIf=\"filter.dataType.toLowerCase() == 'text' \">\n            <mat-label class=\"form-label\">{{filter.name}} </mat-label>\n            <input matInput *ngIf=\"filter.dataType.toLowerCase() == 'text' \" [name]=\"filter.name\"\n                   [(ngModel)]=\"filter.value\" [required]=\"filter.required\">\n          </mat-form-field>\n          <mat-form-field class=\"form-field\" appearance=\"outline\" *ngIf=\"filter.dataType.toLowerCase() == 'number' \">\n            <mat-label class=\"form-label\">{{filter.name}} </mat-label>\n            <input matInput type=\"number\" [name]=\"filter.name\"\n                   [(ngModel)]=\"filter.value\" [required]=\"filter.required\" >\n          </mat-form-field>\n\n          <mat-form-field class=\"form-field\" appearance=\"outline\"\n                          *ngIf=\"filter.dataType.toLowerCase() == 'query' || filter.dataType.toLowerCase() ==='lookup'\">\n            <mat-label class=\"form-label\">{{filter.name}} </mat-label>\n            <mat-select *ngIf=\"filter.dataType.toLowerCase() == 'query' || filter.dataType.toLowerCase() ==='lookup'\"\n                        [name]=\"filter.name\" [(ngModel)]=\"filter.value\" [required]=\"filter.required\">\n              <mat-option *ngFor=\"let option of filter.lookUps\" [value]=\"option.id\">{{option.name}}</mat-option>\n            </mat-select>\n          </mat-form-field>\n        </mat-grid-tile>\n      </mat-grid-list>\n    </form>\n    <button  type=\"submit\" mat-button class=\"viewButton\" (click)=\"execute()\">Execute</button>\n\n  </mat-card-content>\n</mat-card>\n", styles: [".example-card{height:100%;width:100%;border-radius:8px}.mat-form-field{width:93%}.viewButton{background:#FF6600}.mat-grid-tile-content{display:block!important}.mat-drawer-content{overflow:hidden!important}\n"], components: [{ type: i4__namespace.MatCard, selector: "mat-card", exportAs: ["matCard"] }, { type: i3__namespace.MatGridList, selector: "mat-grid-list", inputs: ["cols", "gutterSize", "rowHeight"], exportAs: ["matGridList"] }, { type: i3__namespace.MatGridTile, selector: "mat-grid-tile", inputs: ["rowspan", "colspan"], exportAs: ["matGridTile"] }, { type: i5__namespace$1.MatFormField, selector: "mat-form-field", inputs: ["color", "floatLabel", "appearance", "hideRequiredMarker", "hintLabel"], exportAs: ["matFormField"] }, { type: i6__namespace.MatDatepickerToggle, selector: "mat-datepicker-toggle", inputs: ["tabIndex", "disabled", "for", "aria-label", "disableRipple"], exportAs: ["matDatepickerToggle"] }, { type: i6__namespace.MatDatepicker, selector: "mat-datepicker", exportAs: ["matDatepicker"] }, { type: i7__namespace.MatSelect, selector: "mat-select", inputs: ["disabled", "disableRipple", "tabIndex"], exportAs: ["matSelect"] }, { type: i8__namespace.MatOption, selector: "mat-option", exportAs: ["matOption"] }, { type: i5__namespace.MatButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }], directives: [{ type: i4__namespace.MatCardTitle, selector: "mat-card-title, [mat-card-title], [matCardTitle]" }, { type: i4__namespace.MatCardSubtitle, selector: "mat-card-subtitle, [mat-card-subtitle], [matCardSubtitle]" }, { type: i2__namespace$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i4__namespace.MatCardContent, selector: "mat-card-content, [mat-card-content], [matCardContent]" }, { type: i10__namespace.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { type: i10__namespace.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { type: i10__namespace.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { type: i2__namespace$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i5__namespace$1.MatLabel, selector: "mat-label" }, { type: i11__namespace.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["id", "disabled", "required", "type", "value", "readonly", "placeholder", "errorStateMatcher", "aria-describedby"], exportAs: ["matInput"] }, { type: i6__namespace.MatDatepickerInput, selector: "input[matDatepicker]", inputs: ["matDatepicker", "min", "max", "matDatepickerFilter"], exportAs: ["matDatepickerInput"] }, { type: i10__namespace.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { type: i10__namespace.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { type: i10__namespace.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { type: i10__namespace.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { type: i5__namespace$1.MatSuffix, selector: "[matSuffix]" }, { type: i10__namespace.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: ReportDetailsComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'lib-report-details',
                        templateUrl: './report-details.component.html',
                        styleUrls: ['./report-details.component.css']
                    }]
            }], ctorParameters: function () { return [{ type: ReportsService }, { type: i2__namespace$1.DatePipe }]; }, propDecorators: { reportId: [{
                    type: i0.Input
                }], executeForm: [{
                    type: i0.ViewChild,
                    args: ['f']
                }], loadReportDetailFilters: [{
                    type: i0.Input
                }], onExecuteFired: [{
                    type: i0.Output
                }] } });

    var ReportsModule = /** @class */ (function () {
        function ReportsModule() {
        }
        return ReportsModule;
    }());
    ReportsModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: ReportsModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    ReportsModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: ReportsModule, declarations: [ReportsComponent,
            ReportDetailsComponent], imports: [i2$1.CommonModule,
            platformBrowser.BrowserModule,
            i11.MatInputModule,
            i5$1.MatFormFieldModule,
            i2.MatTabsModule,
            i3.MatGridListModule,
            i4.MatCardModule,
            i5.MatButtonModule,
            i1.HttpClientModule,
            router.RouterModule,
            i6.MatDatepickerModule,
            i10.FormsModule,
            i7.MatSelectModule,
            i8.MatOptionModule], exports: [ReportsComponent,
            ReportDetailsComponent] });
    ReportsModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: ReportsModule, providers: [i2$1.DatePipe], imports: [[
                i2$1.CommonModule,
                platformBrowser.BrowserModule,
                i11.MatInputModule,
                i5$1.MatFormFieldModule,
                i2.MatTabsModule,
                i3.MatGridListModule,
                i4.MatCardModule,
                i5.MatButtonModule,
                i1.HttpClientModule,
                router.RouterModule,
                i6.MatDatepickerModule,
                i10.FormsModule,
                i7.MatSelectModule,
                i8.MatOptionModule
            ]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: ReportsModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        declarations: [
                            ReportsComponent,
                            ReportDetailsComponent
                        ],
                        imports: [
                            i2$1.CommonModule,
                            platformBrowser.BrowserModule,
                            i11.MatInputModule,
                            i5$1.MatFormFieldModule,
                            i2.MatTabsModule,
                            i3.MatGridListModule,
                            i4.MatCardModule,
                            i5.MatButtonModule,
                            i1.HttpClientModule,
                            router.RouterModule,
                            i6.MatDatepickerModule,
                            i10.FormsModule,
                            i7.MatSelectModule,
                            i8.MatOptionModule
                        ],
                        exports: [
                            ReportsComponent,
                            ReportDetailsComponent
                        ],
                        providers: [i2$1.DatePipe]
                    }]
            }] });

    /*
     * Public API Surface of reports
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.ReportDetailsComponent = ReportDetailsComponent;
    exports.ReportsComponent = ReportsComponent;
    exports.ReportsModule = ReportsModule;
    exports.ReportsService = ReportsService;
    exports.sharedGridLayout = sharedGridLayout;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=reports-hyper74.umd.js.map
